%define _build_id_links none
%global debug_package %{nil}

Name:           syft
Version:        1.19.0
Release:        1%{?dist}
Summary:        A CLI tool for generating SBOMs (Software Bill of Materials)

License:        Apache-2.0

URL:            https://github.com/anchore/syft/releases
Source0:        https://github.com/anchore/syft/releases/download/v%{version}/%{name}_%{version}_linux_amd64.tar.gz
Source1:        https://github.com/anchore/syft/releases/download/v%{version}/%{name}_%{version}_checksums.txt

BuildRequires: coreutils
BuildRequires: wget

%description
Syft is a CLI tool and library for generating a Software Bill of Materials
(SBOM) from container images and filesystems.

%prep
# Some architecture replacements (equal "replacements" included to remind myself that I didn't forget them)
ARCH=%{_arch}
ARCH=${ARCH/x86_64/amd64}
ARCH=${ARCH/aarch64/arm64}
ARCH=${ARCH/ppc64le/ppc64le}
ARCH=${ARCH/s390x/s390x}

wget https://github.com/anchore/syft/releases/download/v%{version}/syft_%{version}_linux_$ARCH.tar.gz
wget https://github.com/anchore/syft/releases/download/v%{version}/syft_%{version}_checksums.txt

pushd %{_sourcedir}
sha256sum --ignore-missing -c syft_%{version}_checksums.txt
popd

tar -xzf syft_%{version}_linux_$ARCH.tar.gz

%autosetup -c

%install
mkdir -p %{buildroot}/%{_bindir}
%{__install} -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}

%doc README.md
%license LICENSE

%changelog
* Thu Jan 23 2025 Christian Vonderstein <copr234@vonderste.in> - 1.19.0-1
- Initial packaging for Syft 1.19.0
